@import '../../../mixins/general';

.gallery_box {
  img {
    height: 101%;
    width: 101%;
    object-fit: cover;
    @include boxSize();
    cursor: pointer;
  }

  .gallery_description {
    position: absolute;
    bottom: 0;
    left: 0;
    z-index: 99999999999;
    width: 100%;

    textarea {
      height: 50px;
      padding: 35px 5px 0 5px!important;
      overflow: hidden;
      border: none;
      vertical-align: bottom;
      @include boxSize();
      @include fade(80%, top);
    }

    h3 {
      background-color: #fff;
      color: #646464;
      font-weight: bold;
      padding: 5px;
      border-top: 1px solid #646464;
    }
  }

  input[type='checkbox'] {
    position: absolute;
    top: 5px;
    left: 5px;
    cursor: pointer;
  }
}